// class names
#define VD_ENGINE_CLASS_NAME "VDEngine"
#define VD_MAP_EDITOR_CLASS_NAME "VDMapEditor"
#define VD_NPC_EDITOR_CLASS_NAME "VDNPCEditor"
#define VD_CREATURE_EDITOR_CLASS_NAME "VDCreatureEditor"

// Menu
#define VD_MENU 2000

// Menu -> File
#define VD_MENU_FILE_OPEN 2100
#define VD_MENU_FILE_CLOSE 2101
#define VD_MENU_FILE_SAVE 2102
#define VD_MENU_FILE_EXIT 2103

// Menu -> Tools
#define VD_MENU_TOOLS_NPC_EDITOR 2200
#define VD_MENU_TOOLS_CREATURE_EDITOR 2201

// Menu -> Help
#define VD_MENU_HELP_ABOUT 2300

// Map Editor
#define VD_MAP_EDITOR_STATIC_TRANSPARENCY 3000
#define VD_MAP_EDITOR_TRANSPARENCY 3001
#define VD_MAP_EDITOR_LOAD_SPRITE 3002
#define VD_MAP_EDITOR_STATIC_TILE_SPAWNS 3003
#define VD_MAP_EDITOR_TILE_SPAWNS 3004
#define VD_MAP_EDITOR_STATIC_CREATURES 3005
#define VD_MAP_EDITOR_CREATURES 3006
#define VD_MAP_EDITOR_REMOVE_SPAWN 3007
#define VD_MAP_EDITOR_ADD_SPAWN 3008
#define VD_MAP_EDITOR_STATIC_TILE_TYPES 3009
#define VD_MAP_EDITOR_TILE_OPTION_NULL 3010
#define VD_MAP_EDITOR_TILE_OPTION_OPEN 3011
#define VD_MAP_EDITOR_TILE_OPTION_IMPASSABLE 3012
#define VD_MAP_EDITOR_TILE_OPTION_NEW_AREA 3013
#define VD_MAP_EDITOR_LOAD_NEW_AREA 3014
#define VD_MAP_EDITOR_STATIC_NEW_AREA 3015
#define VD_MAP_EDITOR_STATIC_STARTING_POINT 3016
#define VD_MAP_EDITOR_STARTING_POINT_X 3017
#define VD_MAP_EDITOR_STARTING_POINT_Y 3018
#define VD_MAP_EDITOR_STATIC_ADD_NPC 3019
#define VD_MAP_EDITOR_NPCS 3020
#define VD_MAP_EDITOR_NPC_OPTION_NULL 3021
#define VD_MAP_EDITOR_NPC_OPTION_NORMAL 3022
#define VD_MAP_EDITOR_NPC_OPTION_STATIC 3023
#define VD_MAP_EDITOR_DIVIDER 3024
#define VD_MAP_EDITOR_UP 3025
#define VD_MAP_EDITOR_DOWN 3026
#define VD_MAP_EDITOR_LEFT 3027
#define VD_MAP_EDITOR_RIGHT 3028
#define VD_MAP_EDITOR_PREVIOUS_ANIMATION 3029
#define VD_MAP_EDITOR_NEXT_ANIMATION 3030
#define VD_MAP_EDITOR_STATIC_SPRITE_BORDER 3031

// NPC Editor
#define VD_NPC_EDITOR_STATIC_NPC_LIST 4000
#define VD_NPC_EDITOR_NPC_LIST 4001
#define VD_NPC_EDITOR_STATIC_NAME 4002
#define VD_NPC_EDITOR_NAME 4003
#define VD_NPC_EDITOR_STATIC_NPC_ID 4004
#define VD_NPC_EDITOR_NPC_ID 4005
#define VD_NPC_EDITOR_LOAD_SPRITE 4006
#define VD_NPC_EDITOR_SAVE_SPRITE 4007
#define VD_NPC_EDITOR_STATIC_SPRITE_BORDER 4008
#define VD_NPC_EDITOR_SHIFT_NPC_UP 4009
#define VD_NPC_EDITOR_SHIFT_NPC_DOWN 4010
#define VD_NPC_EDITOR_PREVIOUS_ANIMATION 4011
#define VD_NPC_EDITOR_NEXT_ANIMATION 4012
#define VD_NPC_EDITOR_STATIC_DIALOGUE 4013
#define VD_NPC_EDITOR_DIALOGUE 4014
#define VD_NPC_EDITOR_STATIC_TEXT 4015
#define VD_NPC_EDITOR_TEXT 4016
#define VD_NPC_EDITOR_STATIC_TEXT_ID 4017
#define VD_NPC_EDITOR_TEXT_ID 4018
#define VD_NPC_EDITOR_REMOVE_DIALOGUE 4019
#define VD_NPC_EDITOR_SAVE_DIALOGUE 4020
#define VD_NPC_EDITOR_STATIC_OPTIONS 4021
#define VD_NPC_EDITOR_OPTIONS 4022
#define VD_NPC_EDITOR_STATIC_TEXT2 4023
#define VD_NPC_EDITOR_TEXT2 4024
#define VD_NPC_EDITOR_STATIC_TEXT_ID2 4025
#define VD_NPC_EDITOR_TEXT_ID2 4026
#define VD_NPC_EDITOR_REMOVE_OPTION 4027
#define VD_NPC_EDITOR_SAVE_OPTION 4028
#define VD_NPC_EDITOR_SAVE_CHANGES 4029
#define VD_NPC_EDITOR_STATIC_MOVEMENT_SPEED 4030
#define VD_NPC_EDITOR_MOVEMENT_SPEED 4031
#define VD_NPC_EDITOR_REMOVE_NPC 4032
#define VD_NPC_EDITOR_NEW_NPC 4033
#define VD_NPC_EDITOR_SAVE_NPC 4034
